## phyml 20120412

=== debian/control ===
Source: phyml
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Charles Plessy <plessy@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               autotools-dev,
               dh-autoreconf
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/phyml/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/phyml/trunk/
Homepage: http://www.atgc-montpellier.fr/phyml

Package: phyml
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Phylogenetic estimation using Maximum Likelihood
 PhyML is a software that estimates maximum likelihood phylogenies from
 alignments of nucleotide or amino acid sequences. It provides a wide
 range of options that were designed to facilitate standard phylogenetic
 analyses. The main strengths of PhyML lies in the large number of
 substitution models coupled to various options to search the space of
 phylogenetic tree topologies, going from very fast and efficient methods
 to slower but generally more accurate approaches. It also implements
 two methods to evaluate branch supports in a sound statistical framework
 (the non-parametric bootstrap and the approximate likelihood ratio test).
 .
 PhyML was designed to process moderate to large data sets. In theory,
 alignments with up to 4,000 sequences 2,000,000 character-long can
 be analyzed. In  practice however, the amount of memory required to process
 a data set is proportional of the product of the number of sequences by their
 length. Hence, a large number of sequences can only be processed provided
 that they are short. Also, PhyML can handle long sequences provided that
 they are not numerous. With most standard personal computers, the “comfort
 zone” for PhyML generally lies around 3 to 500 sequences less than 2,000
 character long.
 .
 This pakcage also includes PhyTime.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for phyml

%:
	dh $@ --with autoreconf

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
override_dh_auto_build:
	# According to README you need different configure options to get different executables
	# Here we hack in a full build process for phyml executable
	dh_auto_configure
	dh_auto_build -- LDFLAGS="$(LDFLAGS)"
	# move phyml binary to temporary dir inside debian/
	$(MAKE) prefix=$(CURDIR)/debian install
	$(MAKE) distclean
	dh_auto_configure -- --enable-phytime
	dh_auto_build -- LDFLAGS="$(LDFLAGS)"

override_dh_auto_install:
	dh_auto_install
	# install phyml binary we have kept safe above
	mv $(CURDIR)/debian/bin/* $(CURDIR)/debian/phyml/usr/bin

override_dh_auto_clean:
	dh_auto_clean
	# remove temporary bin dir for phyml (see above hack)
	rm -rf debian/bin

override_dh_installdocs:
	dh_installdocs
	mv $(CURDIR)/debian/phyml/usr/share/doc/phyml/phyml-manual.pdf $(CURDIR)/debian/phyml/usr/share/doc/phyml/phyml_manual.pdf

override_dh_compress:
	dh_compress --exclude=.pdf

=== debian/watch ===
version=3
opts=downloadurlmangle=s|^(http:)//code\.google\.com(//phyml\.googlecode\.com/)|$1$2| \
http://code.google.com/p/phyml/downloads/list?can=3&q=PhyML+Sources \
.*/phyml(?:-|\.|_|_v)(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz|zip|jar)

## phyml v2.4.5

=== Makefile ===
hello !!!

CC = gcc #cc
CFLAGS = -O4 -fomit-frame-pointer -Wall -static
# CFLAGS = -Wall
# CFLAGS = -g -Wall
# CFLAGS = -pg -Wall -fprofile-arcs -static
LIBS = -lm

PROG = PHYML
EXEC = phyml 


DFLAG = -DUNIX -D$(PROG)

#rien : 
#	@echo Nothing to do ?...


######################################################################################################

OBJS = main.o utilities.o optimiz.o lk.o bionj.o models.o free.o options.o simu.o eigen.o


$(EXEC) : $(OBJS)
	$(CC) -o $(EXEC) $(OBJS) $(LIBS) $(CFLAGS)

clean :
	@rm *.o
######################################################################################################

eigen.o : eigen.c eigen.h
	$(CC) $(CFLAGS) $(DFLAG) -c eigen.c

simu.o : simu.c simu.h
	$(CC) $(CFLAGS) $(DFLAG) -c simu.c

lk.o : lk.c lk.h
	$(CC) $(CFLAGS) $(DFLAG) -c lk.c

utilities.o : utilities.c utilities.h
	$(CC) $(CFLAGS) $(DFLAG) -c utilities.c

optimiz.o : optimiz.c optimiz.h
	$(CC) $(CFLAGS) $(DFLAG) -c optimiz.c

bionj.o : bionj.c bionj.h
	$(CC) $(CFLAGS) $(DFLAG) -c bionj.c

main.o : main.c
	$(CC) $(CFLAGS) $(DFLAG) -c main.c

models.o : models.c models.h
	$(CC) $(CFLAGS) $(DFLAG) -c models.c

free.o : free.c free.h
	$(CC) $(CFLAGS) $(DFLAG) -c free.c

options.o : options.c options.h
	$(CC) $(CFLAGS) $(DFLAG) -c options.c
